
%% Stopnini odziv sistema DEA 
t=0:0.01:20;
sim('PID_FD_KV_discrete_zpk')
sim('FPID_FD_KV_discrete_zpk')
%% Uporabljal step05 za FOTF
SFPID = step05(CFPIDG,t);
%% Uporabljal step05 za PID, saj je isto zapisana v fotf obliki
SPID=step05(CPIDtfG,t);
%% izberi prvi primerjavi i=PID j= FPID Izris realnega DEA
i=4;
j=8;
figure(10)
plot(t,SFPID,t,SPID,cas2Dzpk,FDKV_FPID_pozicija,cas2Dzpk,FDKV_PID_pozicija,...
    Time(:,1),Distance(:,i),Time(:,1),Distance(:,j),Time(:,1),Wanted(:,1))
legend('Laplace PIlDu','Laplace PID','Simulink disk PIlDu','Simulink disk PID',...
    'PID realni','PIlDu realni','eljeni')
xlabel('as [s]');
ylabel('Pomik [mm]');
grid on
stepinfo1=stepinfo(SFPID,t,0.5,'RiseTimeLimits',[0.05,0.95])
stepinfo2=stepinfo(SPID,t,0.5,'RiseTimeLimits',[0.05,0.95])
stepinfo3=stepinfo(FDKV_PID_pozicija,cas2Dzpk,0.5,'RiseTimeLimits',[0.05,0.95])
stepinfo4=stepinfo(FDKV_FPID_pozicija,cas2Dzpk,0.5,'RiseTimeLimits',[0.05,0.95])
stepinfo5=stepinfo(Distance(:,i), Time(:,1),0.5,'RiseTimeLimits',[0.05,0.95])
stepinfo6=stepinfo(Distance(:,j),Time(:,1),0.5,'RiseTimeLimits',[0.05,0.95])
