%% Pridobi podatke o stopninem odzivu sistema
close all
for i=1:1:18
    S(i) = stepinfo(Distance(:,i),Time,0.5,'RiseTimeLimits',[0.05,0.95]);
end
for i=1:1:18
figure(i)
plot(Time,Distance(:,i),Time,Wanted(:,1))
grid on
xlabel('as [s]');
ylabel('Pomik [mm]');
legend('Poloaj','eljeni poloaj')
dim1 = [.6 .33 .4 .4];
dim2 = [.6 .33 .333 .333];
dim3 = [.6 .33 .266 .266];
dim4 = [.6 .33 .2 .2];
dim5 = [.6 .33 .133 .133];
dim6 = [.6 .33 .066 .066];
dim7 = [.6 .33 .0 .0];
% Zapii vzponski as, prenihaj in as umiritve
str1=strcat('Vzponski as [s]=', num2str(S(i).RiseTime));
str2=strcat('Prenihaj [%]=', num2str(S(i).Overshoot));
str3=strcat('as umiritve [s]=', num2str(S(i).SettlingTime));
str4=strcat('Maksimalni pomik [mm]=', num2str(S(i).SettlingMax));
% Zapii Parametre PID regulatorja
str5=strcat('Kp=', num2str(Kp(i)));
str6=strcat('Kd=', num2str(Kd(i)));
str7=strcat('Ki=', num2str(Ki(i)));
annotation('textbox',dim1,'String',str1,'FitBoxToText','on');
annotation('textbox',dim2,'String',str2,'FitBoxToText','on');
annotation('textbox',dim3,'String',str3,'FitBoxToText','on');
annotation('textbox',dim4,'String',str4,'FitBoxToText','on');
annotation('textbox',dim5,'String',str5,'FitBoxToText','on');
annotation('textbox',dim6,'String',str6,'FitBoxToText','on');
annotation('textbox',dim7,'String',str7,'FitBoxToText','on');
end