%% preberi tabelo iz Excela, isti direktorij
close all
T = readtable('S_PID_2.xlsx');
T(2) = readtable('S_PID_2.xlsx');
Time=table2array(T(:,1));
Distance=table2array(T(:,2));
Wanted=table2array(T(:,3));
Kp=table2array(T(1,7));
Ki=table2array(T(1,8));
Kd=table2array(T(1,9));
%% Pridobi podatke o stopninem odzivu sistema
S = stepinfo(Distance,Time,0.5)
%% Izrii odziv
figure(1)
plot(Time,Distance,Time,Wanted)
grid on
xlabel('as [s]');
ylabel('Pomik [mm]');
legend('Poloaj','eljeni poloaj')
dim1 = [.6 .33 .4 .4];
dim2 = [.6 .33 .333 .333];
dim3 = [.6 .33 .266 .266];
dim4 = [.6 .33 .2 .2];
dim5 = [.6 .33 .133 .133];
dim6 = [.6 .33 .066 .066];
% Zapii vzponski as, prenihaj in as umiritve
str1=strcat('Vzponski as [s]=', num2str(S.RiseTime));
str2=strcat('Prenihaj [%]=', num2str(S.Overshoot));
str3=strcat('as umiritve [%]=', num2str(S.SettlingTime));
% Zapii Parametre PID regulatorja
str4=strcat('Kp=', num2str(Kp));
str5=strcat('Kd=', num2str(Kd));
str6=strcat('Ki=', num2str(Ki));
annotation('textbox',dim1,'String',str1,'FitBoxToText','on');
annotation('textbox',dim2,'String',str2,'FitBoxToText','on');
annotation('textbox',dim3,'String',str3,'FitBoxToText','on');
annotation('textbox',dim4,'String',str4,'FitBoxToText','on');
annotation('textbox',dim5,'String',str5,'FitBoxToText','on');
annotation('textbox',dim6,'String',str6,'FitBoxToText','on');